#ifndef __DATA_H__
#define __DATA_H__


using namespace std;

class Data
{
    friend bool operator==(const Data& lhs, const Data& rhs);
    friend bool operator< (const Data& lhs, const Data& rhs);
    friend bool operator> (const Data& lhs, const Data& rhs);
    
    friend ostream& operator<<(ostream& os, const Data& d);  
    friend istream& operator>>(istream& is, Data& d);  

public:

    Data();
    Data(string _date, double _adj_close, long _volume);
    
    string getDate() const;
    double getAdjClose() const;
    long   getVolume() const;
    
    void setDate(string _date);
    void setAdjClose(double _adj_close);
    void setVolume(long _volume);
    
private:
    string date;
    double adj_close;
    long volume;
    int _year;
    int _day;
    int _month;
    char delimiter;
};


#endif
