#ifndef __DATA_CONTAINER_H__
#define __DATA_CONTAINER_H__


#include <vector>
#include "Data.h"

using namespace std;

class DataContainer {

    friend ostream& operator<<(ostream& os, const DataContainer& d);  
    friend istream& operator>>(istream& is, DataContainer& d);  

public:
    DataContainer();

    string getHeader() const;
    void setHeader(string _header);
    
    Data getData(int index) const;
    void addData(Data item);
    void clear();

    bool doubleTop(int &firstTop, int &confirmation) const;
    double valueDifference(int i, int j) const;
    bool isPeak(int index) const;
    bool isValley(int index) const;


private:
    vector<Data> items;
    string header;

};

#endif
